VTK: omf::SurfaceElement Class Reference

| VTK 9.3.1

Public Member Functions | Protected Member Functions | List of all members
omf::SurfaceElement Class Reference

`#include <OMFElement.h>`

Inheritance diagram for omf::SurfaceElement:
[legend]
Collaboration diagram for omf::SurfaceElement:
[legend]

## Public Member Functions
| SurfaceElement (const std::string &uid, double globalOrigin[3])
Public Member Functions inherited from omf::ProjectElement
| ProjectElement (const std::string &uid, double globalOrigin[3])
virtual | ~ProjectElement ()=default
virtual void | ProcessJSON (std::shared_ptr< OMFFile > &file, const Json::Value &element, vtkPartitionedDataSet *output, bool writeOutTextures, bool columnMajorOrdering)

## Protected Member Functions
void | ProcessGeometry (std::shared_ptr< OMFFile > &file, const std::string &geometryUID, vtkPartitionedDataSet *output) override
Protected Member Functions inherited from omf::ProjectElement
virtual void | ProcessDataFields (std::shared_ptr< OMFFile > &file, const Json::Value &dataJSON, vtkPartitionedDataSet *output)
virtual void | ProcessColumnOrdering (std::shared_ptr< OMFFile > &, const Json::Value &, vtkPartitionedDataSet *)
virtual void | ProcessTextures (std::shared_ptr< OMFFile > &file, const Json::Value &textureJSON, vtkPartitionedDataSet *output, const std::string &elementName)

## Additional Inherited Members
Protected Attributes inherited from omf::ProjectElement
std::string | UID
double | GlobalOrigin [3] = { 0, 0, 0 }

## Detailed Description

Definition at line 74 of file OMFElement.h.

## Constructor & Destructor Documentation

## ◆ SurfaceElement()

omf::SurfaceElement::SurfaceElement | ( | const std::string & | uid,
|  | double | globalOrigin[3]
| ) |  |
| inline

Definition at line 77 of file OMFElement.h.

## Member Function Documentation

## ◆ ProcessGeometry()

void omf::SurfaceElement::ProcessGeometry | ( | std::shared_ptr< OMFFile > & | file,
|  | const std::string & | geometryUID,
|  | vtkPartitionedDataSet * | output
| ) |  |
| overrideprotectedvirtual

Implements omf::ProjectElement.

The documentation for this class was generated from the following file:

- IO/OMF/core/OMFElement.h